/**
 * Copyright Copyright 2008-14 Simon Andrews
 *
 *    This file is part of FocalPoint.
 *
 *    FocalPoint is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    FocalPoint is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with StackMeasure; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package uk.ac.bbsrc.babraham.FocalPoint.GUI.Thumbnail;

import ij.ImagePlus;

import java.io.File;
import java.io.IOException;

import at.ac.tuwien.iap.imagej.AVI_Reader;

public class AVIThumbnailPanel extends ThumbnailPanel {

	
	public AVIThumbnailPanel (FileDetailsPanel fileDetails) throws IncompatibleFileTypeException {
		super(fileDetails);
	}


	public ImagePlus [] loadImages (File file) throws IOException {
		
		AVI_Reader ar = new AVI_Reader();
		
		try {
			
			return new ImagePlus [] {ar.loadAVI(file.getAbsolutePath())};
			
		} 
		catch (Exception e) {
			throw new IOException(e.getLocalizedMessage());
		}		
	}



	boolean isImage() {
		return true;
	}


	boolean shouldDeferLoading(File file) {
		// 50Mb is our cutoff
		if (file.length() > 50*1024*1024) {
			return true;
		}
		else {
			return false;
		}
	}


	long getFileSize(File file) {
		return file.length();
	}


	boolean canReadFile(File file) {
		if (fileDetails.file().getName().toLowerCase().endsWith(".avi")) {
			return true;
		}
		return false;
	}
		
}
